Bug 1192866 - Review Request: ghc-bytestring-show - Efficient conversion of values into readable byte strings
Summary: Review Request: ghc-bytestring-show - Efficient conversion of values into rea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1190949
TreeView+ depends on / blocked
 
Reported: 2015-02-16 01:20 UTC by Bruno Wolff III
Modified: 2015-02-27 09:25 UTC (History)
3 users (show)

Fixed In Version: ghc-bytestring-show-0.3.5.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-27 09:22:38 UTC
Type: ---
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bruno Wolff III 2015-02-16 01:20:16 UTC
Spec URL: http://wolff.to/ghc-bytestring-show.spec
SRPM URL: http://wolff.to/ghc-bytestring-show-0.3.5.6-1.fc23.src.rpm
Description: 
Efficient conversion of values into readable byte strings.

Fedora Account System Username:bruno

Comment 1 Bruno Wolff III 2015-02-16 01:21:50 UTC
There is a scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=8943218

Comment 2 Bruno Wolff III 2015-02-16 01:31:40 UTC
cabal-rpm had the initial changelog entry owned by the Fedora Haskell SIG and I wasn't sure if that was OK. Should I change it or add one with my name on it?

Comment 3 Bruno Wolff III 2015-02-17 04:31:07 UTC
I tested using ghc-bytestring-show for the hedgewars server and things seemed to work.

Comment 4 Jens Petersen 2015-02-17 06:42:24 UTC
(In reply to Bruno Wolff III from comment #2)
> cabal-rpm had the initial changelog entry owned by the Fedora Haskell SIG
> and I wasn't sure if that was OK. Should I change it or add one with my name
> on it?

It is really up to you. :)
You are also welcome to change it to your name if your name if you wish,
but you don't have to.  Pristine cblrpm spec files are kind of the
exception, but yours looks fine to me.

(In reply to Bruno Wolff III from comment #3)
> I tested using ghc-bytestring-show for the hedgewars server and things
> seemed to work.

Very happy to hear there: I couldn't track down where those block/unblock etc
were supposed to be coming from...

Comment 5 Jens Petersen 2015-02-17 07:17:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 7 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/1192866-ghc-bytestring-
     show/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/ghc-7.8.4,
     /usr/lib64/ghc-7.8.4/package.conf.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/ghc-7.8.4,
     /usr/lib64/ghc-7.8.4/package.conf.d

Those dirs are owned by ghc.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Haskell:
[x]: This should never happen

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-bytestring-show-0.3.5.6-1.fc23.x86_64.rpm
          ghc-bytestring-show-devel-0.3.5.6-1.fc23.x86_64.rpm
          ghc-bytestring-show-0.3.5.6-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:

Requires
--------
ghc-bytestring-show (rpmlib, GLIBC filtered):
    ghc(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc(binary-0.7.1.0-c62239d56a29611b3d56fd96592f602d)
    ghc(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc(integer-gmp-0.5.1.0-26579559b3647acf4f01d5edd9491a46)
    libHSarray-0.5.0.0-ghc7.8.4.so()(64bit)
    libHSbase-4.7.0.2-ghc7.8.4.so()(64bit)
    libHSbinary-0.7.1.0-ghc7.8.4.so()(64bit)
    libHSbytestring-0.10.4.0-ghc7.8.4.so()(64bit)
    libHScontainers-0.5.5.1-ghc7.8.4.so()(64bit)
    libHSdeepseq-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSghc-prim-0.3.1.0-ghc7.8.4.so()(64bit)
    libHSinteger-gmp-0.5.1.0-ghc7.8.4.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-bytestring-show-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(bytestring-show-0.3.5.6-5947ab4b65d1c84b8f12b9e15a4c6803)
    ghc-bytestring-show(x86-64)
    ghc-compiler
    ghc-devel(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc-devel(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc-devel(binary-0.7.1.0-c62239d56a29611b3d56fd96592f602d)
    ghc-devel(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc-devel(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc-devel(integer-gmp-0.5.1.0-26579559b3647acf4f01d5edd9491a46)

Provides
--------
ghc-bytestring-show:
    ghc(bytestring-show-0.3.5.6-5947ab4b65d1c84b8f12b9e15a4c6803)
    ghc-bytestring-show
    ghc-bytestring-show(x86-64)
    libHSbytestring-show-0.3.5.6-ghc7.8.4.so()(64bit)

ghc-bytestring-show-devel:
    ghc-bytestring-show-devel
    ghc-bytestring-show-devel(x86-64)
    ghc-bytestring-show-static
    ghc-devel(bytestring-show-0.3.5.6-5947ab4b65d1c84b8f12b9e15a4c6803)

Unversioned so-files
--------------------
ghc-bytestring-show: /usr/lib64/ghc-7.8.4/bytestring-show-0.3.5.6/libHSbytestring-show-0.3.5.6-ghc7.8.4.so

Source checksums
----------------
https://hackage.haskell.org/package/bytestring-show-0.3.5.6/bytestring-show-0.3.5.6.tar.gz :
  CHECKSUM(SHA256) this package     : 29242efd16951ebba888218c469a99ff25b19ab74ee1e0d7b4db09b8800a0812
  CHECKSUM(SHA256) upstream package : 29242efd16951ebba888218c469a99ff25b19ab74ee1e0d7b4db09b8800a0812

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1192866
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Package APPROVED

Comment 6 Bruno Wolff III 2015-02-17 14:13:30 UTC
New Package SCM Request
=======================
Package Name: ghc-bytestring-show
Short Description: Efficient conversion of values into readable byte strings
Upstream URL: https://hackage.haskell.org/package/bytestring-show
Owners: bruno
Branches: f20 f21 f22
InitialCC:

Comment 7 Gwyn Ciesla 2015-02-17 14:19:47 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-02-17 16:12:10 UTC
ghc-bytestring-show-0.3.5.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ghc-bytestring-show-0.3.5.6-2.fc21

Comment 9 Fedora Update System 2015-02-17 16:13:30 UTC
ghc-bytestring-show-0.3.5.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-bytestring-show-0.3.5.6-2.fc20

Comment 10 Bruno Wolff III 2015-02-17 16:15:12 UTC
ghc-bytestring-show has now been built for f20, f21, f22 and rawhide.

Comment 11 Fedora Update System 2015-02-19 02:58:17 UTC
ghc-bytestring-show-0.3.5.6-2.fc21, hedgewars-0.9.21.1-3.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2015-02-27 09:22:38 UTC
hedgewars-0.9.21.1-3.fc20, ghc-bytestring-show-0.3.5.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-02-27 09:25:16 UTC
ghc-bytestring-show-0.3.5.6-2.fc21, hedgewars-0.9.21.1-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.